Package org.apache.sysds.runtime.privacy.propagation

## Class MatrixMultiplicationPropagatorNaive

- java.lang.Object
- - org.apache.sysds.runtime.privacy.propagation.MatrixMultiplicationPropagator
  - - org.apache.sysds.runtime.privacy.propagation.MatrixMultiplicationPropagatorNaive

All Implemented Interfaces:
  `Propagator`

    public class MatrixMultiplicationPropagatorNaive
    extends MatrixMultiplicationPropagator

MatrixMultiplicationPropagator that overrides generateFineGrainedConstraints with a naive propagation of the fine-grained constraints. The output is correct, but is likely less efficient than other implementations.

### Constructor Summary

Constructors
`MatrixMultiplicationPropagatorNaive()`
`MatrixMultiplicationPropagatorNaive​(MatrixBlock input1, PrivacyConstraint privacyConstraint1, MatrixBlock input2, PrivacyConstraint privacyConstraint2)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.privacy.propagation.MatrixMultiplicationPropagator

`getOperatorTypesCol, getOperatorTypesRow, propagate, setFields`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MatrixMultiplicationPropagatorNaive

    public MatrixMultiplicationPropagatorNaive()

#### MatrixMultiplicationPropagatorNaive

    public MatrixMultiplicationPropagatorNaive​(MatrixBlock input1,
                                               PrivacyConstraint privacyConstraint1,
                                               MatrixBlock input2,
                                               PrivacyConstraint privacyConstraint2)